Name:           emesene
Version:        1.6
Release:        1%{?dist}
Summary:        Instant messaging client for Windows Live Messenger network

Group:          Applications/Internet
License:        GPLv2+ and LGPLv2+
URL:            http://emesene.org
Source0:        http://downloads.sourceforge.net/emesene/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         %{name}-1.5-pythonpath.patch
BuildRequires:  desktop-file-utils, gettext, python-devel
Requires: gnome-python2-extras
Requires: python pygtk2
Requires: dbus-python
Requires: alsa-utils notify-python
Requires: gnome-python2-extras
Requires: gnome-python2-gtkspell


%description
Emesene is a MSN Messenger client writed in Python and
GTK. The main idea is to make a client similar to the official MSN
Messenger client but kepping it simple and with a nice GUI.

Emesene is a python/gtk MSN messenger clone, it uses msnlib (MSNP9)
and try to be a nice looking and simple MSN client.

You can login, send formated messages, smilies, use autoreply, change
status, change nick, send nudges and all the stuff you can do in a
normal MSN client except, file transfers,custom emoticons and display
picture.



%prep
%setup -q
%patch0 -p1 -b .pythonpath
find -name \*~ |xargs rm -fv


%build
python setup.py build_ext -i

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 misc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
install -D -m 644 misc/%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m 644 misc/%{name}.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.png
install -D -m 644 misc/%{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}

cp -r ../%{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}
cd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf COPYING README GPL LGPL emesene.bat Winamp.py misc/%{name}.desktop misc/%{name}.1 libmimic build setup.py po/templates/ %{name}.pot PKG-INFO PSF debug*.list

mv libmimic.so $RPM_BUILD_ROOT%{_libdir}/%{name}
cd po
for dir in *;do echo "%lang($dir) %{_datadir}/%{name}/po/$dir" >> $RPM_BUILD_DIR/%{name}-%{version}/%{name}.lang
done


mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./%{name}
EOF

# Fix BZ #519242
%ifarch x86_64 ppc64
sed -i 's/\/usr\/lib\/emesene/\/usr\/lib64\/emesene/g' $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}
%exclude %{_datadir}/%{name}/%{name}.pythonpath
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.pyc
%{_datadir}/%{name}/*.pyo
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/abstract
%{_datadir}/%{name}/conversation_themes
%{_datadir}/%{name}/emesenelib
%{_datadir}/%{name}/hotmlog.htm
%{_libdir}/%{name}/libmimic.so
%{_datadir}/%{name}/misc
%{_datadir}/%{name}/plugins_base
%{_datadir}/%{name}/smilies
%{_datadir}/%{name}/sound_themes
%{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/po
%{_datadir}/icons/hicolor/48x48/apps/emesene.png
%{_datadir}/icons/hicolor/scalable/apps/emesene.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jan 15 2010 Allisson Azevedo <allisson@gmail.com> - 1.6-1
- Update to 1.6.

* Fri Oct 16 2009 Allisson Azevedo <allisson@gmail.com> - 1.5.1-1
- Update to 1.5.1.

* Tue Sep  8 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-4
- Fix libmimic.so location for x86_64 and ppc64.

* Tue Aug 25 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-3
- Added libmimic to pythonpath.
- Package own /usr/share/emesene now.

* Tue Aug 25 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-2
- Added python-devel to BR.

* Tue Aug 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.5-1
- Rewrite spec file
- Many new features including experimental support for webcams
- http://emesene-msn.blogspot.com/2009/08/emesene-15-awesome-has-been-released.html

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.1-4
- Rebuild for Python 2.6

* Wed Aug 06 2008 Caius Chance <cchance@redhat.com> - 1.0.1-3.fc10
- Resolves: rhbz#456671
  - (MSN servers rejected "application id" which reverted nickname change.)
  - Refined patch of 1.0.1-2.fc10.

* Mon Jul 28 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-2.fc10
- rename to emesene.spec and add docs

* Wed Jul 23 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-1.fc10
- update source to ver 1.0.1. (bugfixes only)

* Wed Mar 26 2008 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Update source to ver 1.0.

* Thu Jan 31 2008 Caius Chance <cchance@redhat.com> - 0.99-3.fc9
- Fixed locale 'sv' files appearing twice.

* Tue Jan 29 2008 Caius Chance <cchance@redhat.com> - 0.99-2.fc9
- Refined .spec file regarding 'file' section in spec. (rhbz#238379)

* Mon Jan 14 2008 Caius Chance <cchance@redhat.com> - 0.99-1.fc9
- Sync to upstream perferred version number, refined .spec file. (rhbz#238379)

* Mon Jan 07 2008 Caius Chance <cchance@redhat.com> - 1.0-2.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Fri Dec 21 2007 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Sat Dec 15 2007 Caius Chance <cchance@redhat.com> - 0.1-2.fc9
- Corrected executable file path parameters.

* Fri Dec 14 2007 Caius Chance <cchance@redhat.com> - 0.1-1.fc9
- Adopted from community as new package.

